GitLab set up:
--------------

GitLab - create project
copy <clone url> for SSH clone 

go to the parent folder
git clone <paste clone url>
project name and inside it .git file will be created

$ ls
$ touch testing.txt
$ git status
$ git add .
$ git commit -am "test"
$ git push origin